Bug 439982 (CVE-2008-1658) - CVE-2008-1658 PolicyKit: format string vulnerability
Summary: CVE-2008-1658 PolicyKit: format string vulnerability
Status: CLOSED ERRATA
Alias: CVE-2008-1658
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20080331,pu...
Keywords: Security
Depends On: 439995 439996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-01 07:47 UTC by Tomas Hoger
Modified: 2008-04-24 11:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 11:22:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-04-01 07:47:11 UTC
Format string vulnerability was discovered in the PolicyKit grant helper.  User
may specify password with formatting sequences and cause polkit-grant-helper to
crash or bypass authentication.

Upstream bug report with proposed patch:
https://bugs.freedesktop.org/show_bug.cgi?id=15295

Original report in Ubuntu BTS:
https://bugs.launchpad.net/ubuntu/+source/policykit/+bug/205037

Comment 2 Fedora Update System 2008-04-04 07:05:40 UTC
PolicyKit-0.6-2.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-04-09 05:19:12 UTC
PolicyKit-0.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Red Hat Product Security 2008-04-24 11:22:29 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2987




Note You need to log in before you can comment on or make changes to this bug.